"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createGulpCompiler = void 0;
const cross_spawn_1 = __importDefault(require("cross-spawn"));
const path_1 = __importDefault(require("path"));
function createGulpCompiler() {
    return (app) => {
        return {
            name: 'cli-plugin-gulp-compiler',
            setup() {
                app.program
                    .command('compiler')
                    .argument('<task>', 'task')
                    .description('use gulp compiler react、ts、less、sass、stylus project')
                    .action((task, options) => {
                    const cwd = process.cwd();
                    const packageDir = path_1.default.dirname(__dirname);
                    const gulpfile = path_1.default.resolve(packageDir, 'gulpfile.js');
                    cross_spawn_1.default.sync('gulp', [
                        '--cwd', cwd,
                        '--gulpfile', gulpfile,
                        task,
                    ], {
                        stdio: 'inherit',
                    });
                });
            },
        };
    };
}
exports.createGulpCompiler = createGulpCompiler;
exports.default = createGulpCompiler;
